# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class NodeSetup(Model):
    """Setup to be done on all compute nodes in the cluster.

    :param setup_task: Specifies a setup task which can be used to customize
     the compute nodes of the cluster.
    :type setup_task: :class:`SetupTask <azure.mgmt.batchai.models.SetupTask>`
    :param mount_volumes: Information on shared volumes to be used for the
     job.
    :type mount_volumes: :class:`MountVolumes
     <azure.mgmt.batchai.models.MountVolumes>`
    """

    _attribute_map = {
        'setup_task': {'key': 'setupTask', 'type': 'SetupTask'},
        'mount_volumes': {'key': 'mountVolumes', 'type': 'MountVolumes'},
    }

    def __init__(self, setup_task=None, mount_volumes=None):
        self.setup_task = setup_task
        self.mount_volumes = mount_volumes
